Package org.oasis_open.docs.ws_calendar.ns.soap

# Class FreebusyReportResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.FreebusyReportResponseType

public class FreebusyReportResponseType extends BaseResponseType
Respond to the freebusy request. Returned icalendar data will be an icalendar entity containing a vfreebusy object. Note that the time period returned may not be as requested. The server is at liberty to extend or truncate the period.

Java class for FreebusyReportResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FreebusyReportResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}icalendar" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IcalendarType`
  `icalendar`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreebusyReportResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IcalendarType`
  `getIcalendar()`
  Gets the value of the icalendar property.
  `void`
  `setIcalendar(IcalendarType value)`
  Sets the value of the icalendar property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### icalendar

    protected IcalendarType icalendar

- ## Constructor Details

  - ### FreebusyReportResponseType

    public FreebusyReportResponseType()

- ## Method Details

  - ### getIcalendar

    public IcalendarType getIcalendar()
    Gets the value of the icalendar property.
    Returns:
      possible object is `IcalendarType`

  - ### setIcalendar

    public void setIcalendar(IcalendarType value)
    Sets the value of the icalendar property.
    Parameters:
      `value` - allowed object is `IcalendarType`